{ config, pkgs, ... }:

{
  home.username = "krop";
  home.homeDirectory = "/home/krop";
  home.stateVersion = "24.05";

  home.packages = with pkgs; [
    spotify
    moonlight-qt
    alacritty
    alacritty-theme
    nixd
    nil
    jetbrains-mono
    mattermost-desktop
    gh
    gparted
    prismlauncher # REMOVE AND MOVE TO games module after refactoring
    joplin-desktop
    albert
    ghostscript
    (octaveFull.withPackages (
      ps: with ps; [
        octavePackages.signal
      ]
    ))
    wireshark
    iperf
    d2
    gopls
  ];

  home.pointerCursor = {
    name = "Adwaita";
    package = pkgs.adwaita-icon-theme;
    gtk.enable = true;
    x11.enable = true;
    size = 24;
  };

  programs.go = {
    enable = true;
    goPath = "Repositories/go";
  };
  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
